"use strict";

exports.__esModule = true;
exports.default = void 0;

var _universalEnv = require("universal-env");

var otherModule = _interopRequireWildcard(require("../index"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var systemInfo;

function getSystemInfo() {
  if (!systemInfo) {
    systemInfo = global.globalSystemInfo || {};
  }

  return systemInfo;
}

var _module = {};

if (_universalEnv.isQuickApp) {
  [{
    key: 'appName',
    getFn: function getFn() {
      return getSystemInfo().appName;
    }
  }, {
    key: 'platform',
    getFn: function getFn() {
      return getSystemInfo().platform;
    }
  }, {
    key: 'screenWidth',
    getFn: function getFn() {
      return getSystemInfo().screenWidth;
    }
  }, {
    key: 'screenHeight',
    getFn: function getFn() {
      return getSystemInfo().screenHeight;
    }
  }, {
    key: 'appVersion',
    getFn: function getFn() {
      return getSystemInfo().version;
    }
  }].forEach(function (_ref) {
    var key = _ref.key,
        getFn = _ref.getFn;
    Object.defineProperty(_module, key, {
      get: getFn
    });
  });
} else {
  _module = otherModule;
}

var _default = _module;
exports.default = _default;